Subject: Re: bug#72238: 31.0.50; Segfault after treesit_delete_query

From: Eli Zaretskii <[email-masked]>
Date: Mon, 22 Jul 2024 14:17:08 +0300

> Cc: Noah Peart <[email-masked]>, [email-masked]
> From: Yuan Fu <[email-masked]>
> Date: Sun, 21 Jul 2024 17:01:31 -0700
> 
> 
> 
> > On Jul 21, 2024, at 3:24 PM, john muhl <[email-masked]> wrote:
> > 
> > Noah Peart <[email-masked]> writes:
> > 
> >> After recent build, emacs is crashing frequently when using tree-sitter
> >> modes.
> >> 
> >> The following backtrace was generated after opening a few C files,
> >> enabling c-ts-mode, and moving the cursor around a bit. I dont have
> >> precise steps for repeatability at this point (sorry!), as it seems to
> >> occur during garbage collection.
> >> 
> >> Let me know if there is more useful output I could provide.
> > 
> > Could you try reverting 1abf3bdd7ed and see if that helps?
> 
> Hey guys, sorry for the segfault. It’s indeed caused by 1abf3bdd7ed, I just fixed it on master. 

Thanks, but I'm confused, since I see a fix both on emacs-30 and on
master.  What exactly did you fix and on which branch(es)?  Did the
problem exist on emacs-30 (it was reported for master)?